# Create sheet in workspace

Creates a sheet from scratch or from the specified template at the top-level of the specified workspace.
For subfolders, use Create Sheet in Folder.

Endpoint: POST /workspaces/{workspaceId}/sheets
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string)
    Required for POST and PUT requests. Defines the structure for the request body.

## Path parameters:

  - `workspaceId` (string, required)
    ID of the workspace being accessed.

## Query parameters:

  - `accessApiLevel` (number)
    Allows COMMENTER access for inputs and return values. For backwards-compatibility, VIEWER is the default. For example, to see whether a user has COMMENTER access for a sheet, use accessApiLevel=1.

  - `include` (string)
    Additional parameter to create a sheet from template.
A comma-separated list of elements to copy from the template.
    Enum: "attachments", "cellLinks", "data", "discussions", "filters", "forms", "ruleRecipients", "rules"

## Request fields (application/json):

  - `body` (Sheet to create (object) or Sheet to create from template (object), required) — one of:
    - Sheet to create:
      - `columns` (array) — one of:
        - Auto number column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `autoNumberFormat` (object)
            Specifies how to format values for an auto-generated numbers column.
            Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
          - `autoNumberFormat.fill` (string)
            Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
          - `autoNumberFormat.prefix` (string)
            The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
          - `autoNumberFormat.startingNumber` (number)
            The starting number for the auto-ID.
            Example: 1
          - `autoNumberFormat.suffix` (string)
            The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
          - `systemColumnType` (string)
            If this property is set, the column contains auto-generated numbers. Its [Auto-number format object](/api/smartsheet/openapi/schemas/autonumberformat) describes the mask used to generate column values.
            Enum: "AUTO_NUMBER"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "TEXT_NUMBER"
        - Checkbox column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: "=ISODD([ID]@row)"
          - `symbol` (string)
            A checkbox column can use box (default), flag, or star symbols. See [Symbol Columns](/api/smartsheet/openapi/columns).

If the box symbol is used, the symbol property is absent.
            Enum: "FLAG", "STAR"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "CHECKBOX"
        - Contact list column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `contactOptions` (array)
            Array of ContactOption objects to specify a pre-defined list of values for the column.
            Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
          - `contactOptions.email` (string)
            A parsable email address.
          - `contactOptions.name` (string)
            Can be a user's name, display name, or free text.
          - `formula` (string)
            The formula for the column, if set.

For example: =IF(Department@row = "Engineering", "jane.doe@company.com", IF(Department@row = "Marketing", "john.smith@company.com", "admin@company.com"))
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "CONTACT_LIST"
        - Created by column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string)
            The contact represents the user who created the row.
            Enum: "CREATED_BY"
          - `type` (string, required)
            Enum: same as `type` in "Contact list column for sheet creation" (1 values)
        - Created date column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string)
            The system row creation datetime type.
            Enum: "CREATED_DATE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "DATETIME"
        - Date column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: =TODAY(-1)
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "DATE"
        - Dropdown list column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
          - `options` (array)
            An array of the options available to use in the column.
            Example: ["Option 1","Option 2","Option n"]
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "PICKLIST"
        - Modified by column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string)
            If specified, the contact represents the user who created the row or last modified it.
            Enum: "MODIFIED_BY"
          - `type` (string, required)
            Enum: same as `type` in "Contact list column for sheet creation" (1 values)
        - Modified date column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string)
            The system row modification datetime type.
            Enum: "MODIFIED_DATE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Created date column for sheet creation" (1 values)
        - Multi-dropdown list column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `contactOptions` (array)
            Array of ContactOption objects to specify a pre-defined list of values for the column.
            Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
          - `contactOptions.email` (string)
            A parsable email address.
          - `contactOptions.name` (string)
            Can be a user's name, display name, or free text.
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "MULTI_CONTACT_LIST"
        - Multi-dropdown list column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            A formula that returns a string value that matches a combination of the symbol options exactly, and include new line separators between multiple values.

For example: =JOIN(Range1@row:Range3@row, CHAR(10))

Important: To match multiple symbol option values, the return string must use a new line separator (that is, CHAR(10)) between symbol option values.
          - `options` (array)
            An array of the options available to use in the column. A cell value in this column can contain any number of these options.
            Example: ["Option 1","Option 2","Option n"]
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "MULTI_PICKLIST"
        - Symbol column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
          - `options` (array)
            An array of the options available to use in the column.

Note: All applicable options values are set automatically when you specify the symbol.

Important: You can't specify or update options at the same time you're specifying symbol. So leave it unspecified when you're creating a column or updating its symbol. If needed, you can update options in a separate call.
            Example: []
          - `symbol` (string)
            Specifies any type of symbol the column uses. For details and examples, see [Symbol Columns](/api/smartsheet/openapi/columns).
            Enum: "FLAG", "STAR", "HARVEY_BALLS", "PRIORITY", "RYG", "PRIORITY_HML", "DECISION_SYMBOLS", "DECISION_SHAPES", "VCR", "RYGB", "RYGG", "WEATHER", "PROGRESS", "ARROWS_3_WAY", "ARROWS_4_WAY", "ARROWS_5_WAY", "DIRECTIONS_3_WAY", "DIRECTIONS_4_WAY", "SKI", "SIGNAL", "STAR_RATING", "HEARTS", "MONEY", "EFFORT", "PAIN"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Dropdown list column for sheet creation" (1 values)
        - Text/number column for sheet creation:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `title` (string, required)
            Column title.
          - `width` (number)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: =[Column A]@row + [Column B]@row
          - `primary` (boolean)
            If set to true, the column is the sheet's Primary Column. This property is returned only if the property is set to true.
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Auto number column for sheet creation" (1 values)
      - `name` (string)
        Sheet name.
    - Sheet to create from template:
      - `fromId` (number)
        Template ID from which to create the sheet.
      - `name` (string)
        Sheet name.

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `result` (any) — one of:
    - Sheet created:
      - `accessLevel` (string)
        Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"
      - `columns` (array) — one of:
        - Text/number column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: =[Column A]@row + [Column B]@row
          - `primary` (boolean)
            If set to true, the column is the sheet's Primary Column. This property is returned only if the property is set to true.
          - `tags` (array)
            This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.
            Enum: "GANTT_DISPLAY_LABEL"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Auto number column for sheet creation" (1 values)
          - `validation` (boolean, required)
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: 0
        - Auto number column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `autoNumberFormat` (object, required)
            Specifies how to format values for an auto-generated numbers column.
            Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
          - `autoNumberFormat.fill` (string)
            Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
          - `autoNumberFormat.prefix` (string)
            The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
          - `autoNumberFormat.startingNumber` (number)
            The starting number for the auto-ID.
            Example: 1
          - `autoNumberFormat.suffix` (string)
            The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
          - `systemColumnType` (string, required)
            If this property is set, the column contains auto-generated numbers. Its [Auto-number format object](/api/smartsheet/openapi/schemas/autonumberformat) describes the mask used to generate column values.
            Enum: same as `systemColumnType` in "Auto number column for sheet creation" (1 values)
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Auto number column for sheet creation" (1 values)
          - `validation` (boolean, required)
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Checkbox column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: "=ISODD([ID]@row)"
          - `symbol` (string)
            A checkbox column can use box (default), flag, or star symbols. See [Symbol Columns](/api/smartsheet/openapi/columns).

If the box symbol is used, the symbol property is absent.
            Enum: same as `symbol` in "Checkbox column for sheet creation" (2 values)
          - `tags` (array)
            If present, true cell values indicate completed tasks. This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
            Enum: "CARD_DONE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Checkbox column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Contact list column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `contactOptions` (array)
            Array of ContactOption objects to specify a pre-defined list of values for the column.
            Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
          - `contactOptions.email` (string)
            A parsable email address.
          - `contactOptions.name` (string)
            Can be a user's name, display name, or free text.
          - `formula` (string)
            The formula for the column, if set.

For example: =IF(Department@row = "Engineering", "jane.doe@company.com", IF(Department@row = "Marketing", "john.smith@company.com", "admin@company.com"))
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Contact list column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Created by column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string, required)
            The contact represents the user who created the row.
            Enum: same as `systemColumnType` in "Created by column for sheet creation" (1 values)
          - `type` (string, required)
            Enum: same as `type` in "Contact list column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Created date column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string, required)
            The system row creation datetime type.
            Enum: same as `systemColumnType` in "Created date column for sheet creation" (1 values)
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Created date column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Date column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: =TODAY(-1)
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Date column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Abstract datetime column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: =TODAY(-1)
          - `tags` (array)
            This property is only present for dependency-enabled project sheets. It indicates what the date represents in terms of the dependency-enabled project.
            Enum: "GANTT_START_DATE", "GANTT_END_DATE", "BASELINE_START_DATE", "BASELINE_END_DATE", "CALENDAR_START_DATE", "CALENDAR_END_DATE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "ABSTRACT_DATETIME"
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Dropdown list column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
          - `options` (array, required)
            An array of the options available to use in the column.
            Example: ["Option 1","Option 2","Option n"]
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Dropdown list column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Duration column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `tags` (array)
            This property is only present in dependency-enabled project sheets. It indicates what the duration represents in terms of the dependency-enabled project.
            Enum: "GANTT_DURATION", "BASELINE_VARIANCE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "DURATION"
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Modified by column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string, required)
            If specified, the contact represents the user who created the row or last modified it.
            Enum: same as `systemColumnType` in "Modified by column for sheet creation" (1 values)
          - `type` (string, required)
            Enum: same as `type` in "Contact list column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Modified date column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string, required)
            The system row modification datetime type.
            Enum: same as `systemColumnType` in "Modified date column for sheet creation" (1 values)
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Created date column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Multi-contact list column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `contactOptions` (array)
            Array of ContactOption objects to specify a pre-defined list of values for the column.
            Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
          - `contactOptions.email` (string)
            A parsable email address.
          - `contactOptions.name` (string)
            Can be a user's name, display name, or free text.
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Multi-dropdown list column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: 1
        - Multi-dropdown list column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            A formula that returns a string value that matches a combination of the symbol options exactly, and include new line separators between multiple values.

For example: =JOIN(Range1@row:Range3@row, CHAR(10))

Important: To match multiple symbol option values, the return string must use a new line separator (that is, CHAR(10)) between symbol option values.
          - `options` (array, required)
            An array of the options available to use in the column. A cell value in this column can contain any number of these options.
            Example: ["Option 1","Option 2","Option n"]
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Multi-dropdown list column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: 2
        - Percent complete column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `tags` (array)
            This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
            Enum: "GANTT_PERCENT_COMPLETE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Auto number column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
            Example: true
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Predecessor column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `tags` (array)
            Enum: "GANTT_PREDECESSOR"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "PREDECESSOR"
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Assigned resource contact column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `options` (array, required)
            An array of contacts available to use in the column. A cell value in this column can contain one contact.
            Example: ["jane.doe@smartsheet.com","firstname.lastname@smartsheet.com"]
          - `tags` (array)
            This property is only present for dependency-enabled project sheets.
            Enum: "GANTT_ASSIGNED_RESOURCE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Contact list column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
            Example: true
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Assigned resource text column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `primary` (boolean)
            Returned only if the column is the Primary Column (value = true).
          - `tags` (array)
            This property is only present for dependency-enabled project sheets.
            Enum: same as `tags` in "Assigned resource contact column" (1 values)
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Auto number column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
            Example: true
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Percent allocation column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `tags` (array)
            This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
            Enum: "GANTT_ALLOCATION"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Auto number column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
            Example: true
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Symbol column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
          - `options` (array, required)
            An array of the options available to use in the column.

Note: All applicable options values are set automatically when you specify the symbol.

Important: You can't specify or update options at the same time you're specifying symbol. So leave it unspecified when you're creating a column or updating its symbol. If needed, you can update options in a separate call.
            Example: []
          - `symbol` (string)
            Specifies any type of symbol the column uses. For details and examples, see [Symbol Columns](/api/smartsheet/openapi/columns).
            Enum: same as `symbol` in "Symbol column for sheet creation" (25 values)
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Dropdown list column for sheet creation" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
      - `id` (number)
        Sheet ID.
      - `name` (string)
        Sheet name.
      - `permalink` (string)
        URL that represents a direct link to the sheet in Smartsheet.
    - Sheet created from template:
      - `accessLevel` (string)
        Enum: same as `accessLevel` in "Sheet created" (6 values)
      - `id` (number)
        Sheet ID.
      - `name` (string)
        Sheet name.
      - `permalink` (string)
        URL that represents a direct link to the sheet in Smartsheet.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


